Get specific counter - Fabric
Get specific counter
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/inventory/counter/{code} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/counter/{code}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/counter/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Status Codes
- 200
- 400
- 404
- 500
Example Responses
Success (200)
{
"id": "622786ae0bdb19221a24fb61",
"name": "On Hand",
"code": "on-hand"
}
Invalid Request (400)
{
"message": "Invalid request payload or parameter"
}
Resource Not Found (404)
{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
Internal Error (500)
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Authorizations
- Authorization
- Type:
string - Location:
header - Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
- Type:
Headers
- x-site-context
- Type:
string - Required: Yes
- Description: The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel(Sales channel ID),stage(environment name), anddateattributes can be used to further narrow the scope of your data source. - Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
- Type:
Path Parameters
- code
- Type:
string - Required: Yes
- Description: Counter code
- Example:
"on-hand"
- Type:
Response
200
Content-Type:
application/jsonDescription: This object contains inventory position (also known as counter) details that are to be created
Fields
- id:
string- Unique counter ID- Example:
"622786ae0bdb19221a24fb61"
- Example:
- name:
string- Name of the counter to be created- Example:
"On Hand"
- Example:
- code:
string- Counter code that is used to identify a counter- Example:
"on-hand"
- Example:
- id: